if PlayerDamage then
	function PlayerDamage:_update_armor_hud(t, dt)
		local real_armor = self:get_real_armor()
		self._current_armor_fill = math.lerp(self._current_armor_fill, real_armor, 10 * dt)
		
		if managers.player:has_category_upgrade("player", "armor_to_health_conversion") then --overrides your would-be fake armor from showing on the hud
			managers.hud:set_player_armor({
				current = 0,
				total = 0
			})
		elseif math.abs(self._current_armor_fill - real_armor) > 0.01 then
			managers.hud:set_player_armor({
				current = self._current_armor_fill,
				total = self:_max_armor()
			})
		end

		if self._hurt_value then
			self._hurt_value = math.min(1, self._hurt_value + dt)
		end
	end
end

if HUDManager then
	function HUDManager:set_player_armor(data) --removes "you are hurt, take cover" popup msg whenever the fake armor bug happens and is corrected by the above mod.
	   self:set_teammate_armor(HUDManager.PLAYER_PANEL, data)
	end
end